set CA_DIR="%~dp0"..\
set CA_COM="BKTurbo8.exe"
set CA_B2O="BKbin2obj.exe"

set ASSEMBLER=%CA_DIR%%CA_COM%
set BIN2OBJ=%CA_DIR%%CA_B2O%


%BIN2OBJ% -sbin -lDrawPic -fDrawPicEnd roj_pic.dat
%BIN2OBJ% -sbin -lPlayMus -fPlayMusEnd roj_mus.dat
%ASSEMBLER% -l cl Return_of_Jedi.asm
%ASSEMBLER% -l li RETURN_OF_JEDI Return_of_Jedi.obj roj_pic.obj roj_mus.obj


%ASSEMBLER% -l co Return_ovl.asm

ren Return_ovl.bin RETURN.OVL.bin

md out
copy *.bin out\*
copy *.lst out\*

del *.bin
del *.lst
